ALSA project - the C library reference

Loading...
Searching...
No Matches
Data Fields
_snd_ump_msg_set_chord_name Struct Reference

`#include <ump_msg.h>`

## Data Fields
uint8_t | type:4
uint8_t | group:4
uint8_t | format:2
uint8_t | addrs:2
uint8_t | channel:4
uint8_t | status_bank
uint8_t | status
uint8_t | tonic_sharp:4
uint8_t | chord_tonic:4
uint8_t | chord_type
uint8_t | alter1_type:4
uint8_t | alter1_degree:4
uint8_t | alter2_type:4
uint8_t | alter2_degree:4
uint8_t | alter3_type:4
uint8_t | alter3_degree:4
uint8_t | alter4_type:4
uint8_t | alter4_degree:4
uint16_t | reserved
uint8_t | bass_sharp:4
uint8_t | bass_note:4
uint8_t | bass_type
uint8_t | bass_alter1_type:4
uint8_t | bass_alter1_degree:4
uint8_t | bass_alter2_type:4
uint8_t | bass_alter2_degree:4

## Detailed Description

Set Chord Name Message (128bit)

## Field Documentation

## ◆ addrs

uint8_t _snd_ump_msg_set_chord_name::addrs

Address

## ◆ alter1_degree

uint8_t _snd_ump_msg_set_chord_name::alter1_degree

Alteration 1 Degree

## ◆ alter1_type

uint8_t _snd_ump_msg_set_chord_name::alter1_type

Alteration 1 Type

## ◆ alter2_degree

uint8_t _snd_ump_msg_set_chord_name::alter2_degree

Alteration 2 Degree

## ◆ alter2_type

uint8_t _snd_ump_msg_set_chord_name::alter2_type

Alteration 2 Type

## ◆ alter3_degree

uint8_t _snd_ump_msg_set_chord_name::alter3_degree

Alteration 3 Degree

## ◆ alter3_type

uint8_t _snd_ump_msg_set_chord_name::alter3_type

Alteration 3 Type

## ◆ alter4_degree

uint8_t _snd_ump_msg_set_chord_name::alter4_degree

Alteration 4 Degree

## ◆ alter4_type

uint8_t _snd_ump_msg_set_chord_name::alter4_type

Alteration 4 Type

## ◆ bass_alter1_degree

uint8_t _snd_ump_msg_set_chord_name::bass_alter1_degree

Bass Alteration 1 Degree

## ◆ bass_alter1_type

uint8_t _snd_ump_msg_set_chord_name::bass_alter1_type

Bass Alteration 1 Type

## ◆ bass_alter2_degree

uint8_t _snd_ump_msg_set_chord_name::bass_alter2_degree

Bass Alteration 2 Degree

## ◆ bass_alter2_type

uint8_t _snd_ump_msg_set_chord_name::bass_alter2_type

Bass Alteration 2 Type

## ◆ bass_note

uint8_t _snd_ump_msg_set_chord_name::bass_note

Bass Note

## ◆ bass_sharp

uint8_t _snd_ump_msg_set_chord_name::bass_sharp

Bass Sharps/Flats

## ◆ bass_type

uint8_t _snd_ump_msg_set_chord_name::bass_type

Bass Chord Type

## ◆ channel

uint8_t _snd_ump_msg_set_chord_name::channel

Channel

## ◆ chord_tonic

uint8_t _snd_ump_msg_set_chord_name::chord_tonic

Chord Tonic Note

## ◆ chord_type

uint8_t _snd_ump_msg_set_chord_name::chord_type

Chord Type

## ◆ format

uint8_t _snd_ump_msg_set_chord_name::format

Format

## ◆ group

uint8_t _snd_ump_msg_set_chord_name::group

UMP Group

## ◆ reserved

uint16_t _snd_ump_msg_set_chord_name::reserved

Unused

## ◆ status

uint8_t _snd_ump_msg_set_chord_name::status

Status

## ◆ status_bank

uint8_t _snd_ump_msg_set_chord_name::status_bank

Status Bank

## ◆ tonic_sharp

uint8_t _snd_ump_msg_set_chord_name::tonic_sharp

Tonic Sharps/Flats

## ◆ type

uint8_t _snd_ump_msg_set_chord_name::type

UMP packet type

The documentation for this struct was generated from the following file:

- /packaging/alsa-lib/include/ump_msg.h